{% extends 'layout.html' %}

{% block title %}
    Добавление нового поста
{% endblock %}

{% block container %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url_for("index") }}">Главная</a></li>
            <li class="breadcrumb-item"><a href="{{ url_for("post_app.posts") }}">Список постов</a></li>
        </ol>
    </nav>
    <h1>Новый пост</h1>
    <form method="post">
        <div class="mb-3">
            <label for="postTitle" class="form-label">Заголовок</label>
            <input type="text" class="form-control" id="postTitle" name="post_title">
        </div>
        <div class="mb-3">
            <label for="postDescription" class="form-label">Описание</label>
            <textarea class="form-control" id="postDescription" rows="3" name="post_description"></textarea>
        </div>
        <div class="mb-3">
            <label for="postAuthor" class="form-label">Автор</label>
{#            <input type="text" class="form-control" id="postTitle" name="post_title">#}
            <select class="form-control" id="postAuthor" name="post_author" method="GET" action="/">
                {% for user in users %}
                    <option value="{{ user.id }}">{{ user }}</option>
                {% endfor %}
            </select>
        </div>
        <button type="submit" class="btn btn-primary">Сохранить</button>
    </form>
{% endblock %}